pw_protocol_client Struct Reference
Collaboration diagram for pw_protocol_client:
[legend]

## Data Fields

struct spa_list | link
| link in protocol client_list More...
struct pw_protocol * | protocol
| the owner protocol More...
struct pw_remote * | remote
| the associated remote More...
int(* | connect )(struct pw_protocol_client *client, void(*done_callback)(void *data, int result), void *data)
int(* | connect_fd )(struct pw_protocol_client *client, int fd, bool close)
int(* | steal_fd )(struct pw_protocol_client *client)
void(* | disconnect )(struct pw_protocol_client *client)
void(* | destroy )(struct pw_protocol_client *client)

## Field Documentation

## connect

int(* pw_protocol_client::connect) (struct pw_protocol_client *client, void(*done_callback)(void *data, int result), void *data)

## connect_fd

int(* pw_protocol_client::connect_fd) (struct pw_protocol_client *client, int fd, bool close)

## destroy

void(* pw_protocol_client::destroy) (struct pw_protocol_client *client)

## disconnect

void(* pw_protocol_client::disconnect) (struct pw_protocol_client *client)

## link

struct spa_list pw_protocol_client::link

link in protocol client_list

Referenced by pw_protocol_destroy().

## protocol

struct pw_protocol* pw_protocol_client::protocol

the owner protocol

## remote

struct pw_remote* pw_protocol_client::remote

the associated remote

## steal_fd

int(* pw_protocol_client::steal_fd) (struct pw_protocol_client *client)

The documentation for this struct was generated from the following file:

- protocol.h